Skip to main content

Overview

Manage cloud recording sessions by sending HTTP requests from your server to the Agora server. All requests use the base URL https://api.sd-rtn.com.

caution

The Agora RESTful API supports HTTPS only, with TLS 1.0, 1.1, or 1.2. Plain HTTP requests are not supported.

For authentication details, see Authenticate REST calls.

Endpoints

acquire

POST /v1/apps/{appid}/cloud_recording/acquire

Request a resource ID before starting a cloud recording session. One resource ID can only be used for one recording session and is valid for five minutes.

start

POST /v1/apps/{appid}/cloud_recording/resourceid/{resourceid}/mode/{mode}/start

Start cloud recording using the resource ID obtained from acquire. Must be called within five minutes of receiving the resource ID.

query

GET /v1/apps/{appid}/cloud_recording/resourceid/{resourceid}/sid/{sid}/mode/{mode}/query

Query the status of an active cloud recording session.

update

POST /v1/apps/{appid}/cloud_recording/resourceid/{resourceid}/sid/{sid}/mode/{mode}/update

Update an active recording session to modify the subscription list, pause or resume web page recording, or update the CDN push address.

updateLayout

POST /v1/apps/{appid}/cloud_recording/resourceid/{resourceid}/sid/{sid}/mode/{mode}/updateLayout

Update the video mixing layout of an active composite recording session.

stop

POST /v1/apps/{appid}/cloud_recording/resourceid/{resourceid}/sid/{sid}/mode/{mode}/stop

Stop an active cloud recording session and leave the channel.

Message notification server

Get NCS IP addresses

GET /v1/ncs/ip

Query the IP addresses of the Agora message notification server and add them to your firewall whitelist. Agora dynamically adjusts these IP addresses every 24 hours, so query and update your whitelist regularly to ensure uninterrupted delivery of recording event notifications.